﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CallCenter.Share.Dtos;
using FluentValidation;

namespace CallCenter.Application.Contracts.Validators
{
    public class AddBlacklistDtoValidator : AbstractValidator<AddBlacklistDto>
    {
        public AddBlacklistDtoValidator()
        {
            RuleFor(d => d.PhoneNo).NotEmpty();
            RuleFor(d => d.Duration).NotEmpty();
        }
    }
}
