﻿using FluentValidation;
using XF.Domain.Extensions;

namespace CallCenter.Application.Contracts.Validators;

public static class ValidatorExtensions
{
    public static IRuleBuilderOptions<TDto, string> IsGuidStructureString<TDto>(this IRuleBuilderInitial<TDto, string> initial) =>
        initial.Cascade(CascadeMode.Stop).NotEmpty().Must(d => d.IsGuidString());
}