﻿using System.ComponentModel;

namespace CallCenter.Share.Enums;

/// <summary>
/// 通话结束方
/// </summary>
public enum EEndBy
{
    /// <summary>
    /// 主叫方结束
    /// </summary>
    [Description("主叫方结束")]
    From = 0,

    /// <summary>
    /// 被叫方结束
    /// </summary>
    [Description("被叫方结束")]
    To = 1,
}