﻿using CallCenter.Notifications.Base;
using CallCenter.Share.Notifications.Base;
using MediatR;

namespace CallCenter.Notifications
{
    /// <summary>
    /// 来电转分机，分机回铃
    /// </summary>
    public class AlertVisitorToExtNotification: BaseEvent, INotification
    {
        /// <summary>
        /// 分机号
        /// </summary>
        public string TelNo { get; set; }

        /// <summary>
        /// 来电
        /// </summary>
        public BaseVisitor Visitor { get; set; }
    }
}
