﻿using MediatR;
using CallCenter.Notifications.Base;
using CallCenter.Share.Notifications.Base;

namespace CallCenter.Share.Notifications
{
    /// <summary>
    /// 来电呼叫分机
    /// </summary>
    public class AnsweredVisitorToExtNotification: BaseEvent, INotification
    {
        /// <summary>
        /// 分机号
        /// </summary>
        public string TelNo { get; set; }


        public BaseVisitor Visitor { get; set; }
    }
}
