﻿using MediatR;

namespace CallCenter.Notifications
{
    public class CdrNotification: INotification
    {
        public string Id { get; set; }
        public string MAC { get; set; }
        public string CallId { get; set; }
        public string OuterId { get; set; }
        public string VisitorId { get; set; }
        public string TimeStart { get; set; }
        public string Group { get; set; }
        public string Type { get; set; }
        public string Route { get; set; }
        public string CPN { get; set; }
        public string CDPN { get; set; }
        public string TimeEnd { get; set; }
        public string Duration { get; set; }
        public string TrunkNumber { get; set; }
        public string Recording { get; set; }
        public string RecCodec { get; set; }
    }

    
}
