﻿### v1.0

#### 需求

##### 功能

签入	分机注册（可选择注册时同步对IP话机进行注册登录），可选择签入角色、技能组等；
签出	分机注销（可选择注销时同步登出IP话机分机）；
示忙	分机示忙，示忙后不能接听电话，可以外拨电话；可通过软电话实现示忙功能，也可通过IP话机组合键的方式实现示忙功能；
示闲	分机示闲，对应示忙，示闲后可正常接听电话；可通过软电话实现示闲功能，也可通过IP话机组合键的方式实现示闲功能；
应答	来电时可通过此方法接听电话；
保持通话	通话中通过此方法实现保持通话；
取消保持	通话中通过此方法实现取消保持通话，与保持通话对应；
转接	通话中通过此方法实现转接功能，转接可选择转接内部分机、内部技能组、内部IVR或外线号码；
三方会议	三方或多方会议
抢接	来电转分机后一直振铃，其他分机可以通过抢接功能实现接听电话的功能；
呼出	电话呼出，可分为内线和外线；
挂断	通过此方法挂断电话；
评价	接通电话时分机主动发起评价事件，局端收到评价语音播报；
黑名单	可设置电话黑名单，可选择时间段，超过时间范围则不受黑名单规则限制；
白名单	可设置电话白名单，白名单具备优先接通权限或能够转对应的技能组；
转外线	可配置非工作时间转外线手机号码功能（手机号码可能为多个）；

##### 事件

通话事件	电话呼入、呼出时触发通话事件，并返回随叫参数，如唯一标识、被叫号码、主叫号码（来电号码）、电话方向、状态(RINGING等)、等待时长（秒）等；
状态改变事件	实时获取状态；签入、签出、示忙、示闲、接听电话等功能操作时，分机状态对应调整改变并把事件推送到对应分机；可获取某一个分机状态，也可获取所有分机状态；
队列等待事件	实时全量获取当前队列等待通话列表；字段包括但不限于：唯一标识、主叫号码、被叫号码、群组/IVR、等待时长(秒)等；
通话记录获取	获取相关通话记录和录音；通话记录字段应包括但不限于：唯一标识、电话方向、主叫号码、被叫号码、响应分机、群组号码、电话呼入时间、进入IVR时间、离开IVR时间、进群组时间、离开群组时间、排队等待时间（秒）、坐席振铃开始时间、坐席接通时间、挂机时间、通话时长（秒）、外线录音文件路径、内线录音文件路径、完整录音文件路径、挂机方向（外线挂机、坐席挂机）等；
评价记录获取	获取满意度评价记录；字段包括但不限于：唯一标识、主叫号码、被叫号码、响应分机、评价时间、评价结果等；

