﻿using CallCenter.Share.Dtos;
using CallCenter.Tels;

namespace CallCenter.Users
{
    public interface IUserDomainService
    {
        /// <summary>
        /// 上班
        /// </summary>
        /// <param name="userId">userId</param>
        /// <param name="tel"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task OnDutyAsync(string userId, Tel tel, CancellationToken cancellationToken);

        /// <summary>
        /// 下班
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<WorkDto?> OffDutyAsync(string userId, CancellationToken cancellationToken);
    }
}
