﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CallCenter.BlackLists;
using CallCenter.Ivrs;
using CallCenter.Share.Dtos;
using CallCenter.Tels;
using Mapster;

namespace CallCenter.Application.Contracts.Mappers
{
    public class MapperConfigs : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.NewConfig<AddBlacklistDto, Blacklist>()
                .Ignore(d => d.Expired)
                .AfterMapping((s, t) => t.InitExpired());
        }
    }
}
