﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CallCenter.Share.Dtos;
using FluentValidation;

namespace CallCenter.Application.Contracts.Validators
{
    public class AddTelGroupDtoValidator : AbstractValidator<AddTelGroupDto>
    {
        public AddTelGroupDtoValidator()
        {
            RuleFor(d => d.No).NotEmpty();
        }
    }

    public class UpdateTelGroupDtoValidator : AbstractValidator<UpdateTelGroupDto>
    {
        public UpdateTelGroupDtoValidator()
        {
            RuleFor(d => d.Id).IsGuidStructureString();
            Include(new AddTelGroupDtoValidator());
        }
    }
}
