﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CallCenter.Share.Dtos;
using FluentValidation;

namespace CallCenter.Application.Contracts.Validators
{
    public class IvrDtoValidator : AbstractValidator<IvrDto>
    {
        public IvrDtoValidator()
        {
            RuleFor(d => d.Exit)
                .Must(d => !d.EndsWith('T')).Unless(d => string.IsNullOrEmpty(d.Exit));
        }
    }
}
