﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenter.Share.Dtos
{
    public record TelToTelDto(string TelNo);
    public record TelToOuterDto(string OuterNo);
    public record VisitorToTelDto(string TelNo);
    public record VisitorToOuterDto(string VisitorNo, string OuterNo);
    public record OuterToOuterDto(string OuterNo);
    public record OuterToTelDto(string TelNo);
    public record VisitorToGroupDto(string groupid);

    /// <summary>
    /// 三方会议参数列表
    /// </summary>
    /// <param name="TelNo">会议发起方分机号</param>
    public record ConferenceDto(string TelNo);
}
