﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenter.Share.Dtos;


public record UserDto : AddUserDto
{
    public string Id { get; set; }

    public DateTime CreationTime { get; set; }
}

public record AddUserDto
{
    /// <summary>
    /// 身份认证编号
    /// </summary>
    public string? UnionId { get; set; }

    /// <summary>
    /// 手机号
    /// </summary>
    public string PhoneNo { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 昵称
    /// </summary>
    public string? NickName { get; set; }

    /// <summary>
    /// 工号
    /// </summary>
    public string? StaffNo { get; set; }
}

public record UpdateUserDto : AddUserDto
{
    public string Id { get; set; }
}