﻿using CallCenter.Share.Notifications.Base;
using MediatR;

namespace CallCenter.Notifications
{
    /// <summary>
    /// 分机呼分机，被叫分机应答
    /// </summary>
    public class AnsweredExtToExtNotification: BaseEvent, INotification
    {
        public string FromTelNo { get; set; }
        public string ToTelNo { get; set; }
    }
}
