﻿using CallCenter.Notifications.Base;
using CallCenter.Share.Notifications.Base;
using MediatR;

namespace CallCenter.Notifications
{
    /// <summary>
    /// 分机呼外部电话，外部电话应答
    /// </summary>
    public class AnsweredExtToOuterNotification: BaseEvent, INotification
    {
        /// <summary>
        /// 分机号
        /// </summary>
        public string TelNo { get; set; }


        public BaseOuter Outer { get; set; }
    }
}
