﻿using CallCenter.Calls;

namespace CallCenter.Caches
{
    public interface ICallCacheManager
    {
        IReadOnlyList<Call> GetCallQueueList();

        void AddOrUpdateCallCache(List<Call> list);

        void RemoveCallCache(string id);
    }
}
