﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace XF.Domain.Exceptions
{
    public class UserFriendlyException : Exception
    {
        public int Code { get; set; }

        public UserFriendlyException()
        {

        }

        public UserFriendlyException(string message) : base(message)
        {
            Code = 500;
        }

        public UserFriendlyException(int code, string message) : base(message)
        {
            Code = code;
        }

        public UserFriendlyException(int code, string message, Exception inner) : base(message, inner)
        {
            Code = code;
        }

        protected UserFriendlyException(
            SerializationInfo info,
            StreamingContext context) : base(info, context)
        {
        }
    }
}
